public inbox for linux-xfs@vger.kernel.org
 help / color / mirror / Atom feed
From: Jeff Liu <jeff.liu@oracle.com>
To: "xfs@oss.sgi.com" <xfs@oss.sgi.com>
Subject: [PATCH 2/3] xfstests: Introduce xfs/323 to verify turn group/project quotas off
Date: Fri, 29 Nov 2013 15:03:36 +0800	[thread overview]
Message-ID: <52983C48.50007@oracle.com> (raw)

From: Jie Liu <jeff.liu@oracle.com>

Introduce xfs/323 to verify that turn group/project quotas off
while user quotas is on.

Signed-off-by: Jie Liu <jeff.liu@oracle.com>
---
 tests/xfs/323     | 83 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/323.out |  7 +++++
 tests/xfs/group   |  1 +
 3 files changed, 91 insertions(+)
 create mode 100755 tests/xfs/323
 create mode 100644 tests/xfs/323.out

diff --git a/tests/xfs/323 b/tests/xfs/323
new file mode 100755
index 0000000..d84f77c
--- /dev/null
+++ b/tests/xfs/323
@@ -0,0 +1,83 @@
+#! /bin/bash
+# FS QA Test No. 323
+#
+# Test to verify that turn group/project quotas off while user quotas
+# are left on.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Oracle, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    cd /
+    rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+. ./common/quota
+
+# Modify as appropriate.
+_supported_fs xfs
+_supported_os Linux
+
+_require_scratch
+_require_xfs_quota
+_require_xfs_crc_sb
+
+_qmount_option "uquota,gquota,pquota"
+_qmount
+
+TESTDIR=$SCRATCH_MNT/testdir
+
+mkdir -p $TESTDIR
+echo "*** turn off group quotas"
+xfs_quota -x -c 'off -g' $SCRATCH_MNT
+rmdir $TESTDIR
+echo "*** umount"
+umount $SCRATCH_MNT
+
+_qmount
+mkdir -p $TESTDIR
+echo "*** turn off project quotas"
+xfs_quota -x -c 'off -p' $SCRATCH_MNT
+rmdir $TESTDIR
+echo "*** umount"
+umount $SCRATCH_MNT
+
+_qmount
+mkdir -p $TESTDIR
+echo "*** turn off group/project quotas"
+xfs_quota -x -c 'off -gp' $SCRATCH_MNT
+rmdir $TESTDIR
+echo "*** umount"
+umount $SCRATCH_MNT
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/323.out b/tests/xfs/323.out
new file mode 100644
index 0000000..88f16a3
--- /dev/null
+++ b/tests/xfs/323.out
@@ -0,0 +1,7 @@
+QA output created by 323
+*** turn off group quotas
+*** umount
+*** turn off project quotas
+*** umount
+*** turn off group/project quotas
+*** umount
diff --git a/tests/xfs/group b/tests/xfs/group
index dcdeb98..b420e12 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -183,3 +183,4 @@
 301 auto dump
 302 auto dump
 322 auto quick quota
+323 auto quick quota
-- 
1.8.3.2

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

             reply	other threads:[~2013-11-29  7:03 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-11-29  7:03 Jeff Liu [this message]
2013-12-03  0:45 ` [PATCH 2/3] xfstests: Introduce xfs/323 to verify turn group/project quotas off Dave Chinner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=52983C48.50007@oracle.com \
    --to=jeff.liu@oracle.com \
    --cc=xfs@oss.sgi.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox